<?php

namespace DsbNext\Controllers;

use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DataSource\DataSet;

class DashboardGUController{
    
    public function __construct($connection, $environment, $util) {
        $this->connection      = $connection;
        $this->environment     = $environment;
        $this->util            = $util;
    }
    
    public function daysOfStockGU(Request\Filter $request, Response $response) {
        var_dump($request);
        $sessionData = $this->util->getSessionData();
        
        $conditions = [
            array(
                "columnName" => "P_CDFILIAL",
                "operator"   => '=',
                "value"      => $sessionData['CDFILIAL']
            ),
            array(
                "columnName" => "P_DTPROCESSA",
                "operator"   => '=',
                "value"      => $sessionData['DTPROCESSA']
            ),
            array(
                "columnName" => "P_CDOPERADOR",
                "operator"   => '=',
                "value"      => $sessionData['CDOPERADOR']
            ),
            array(
                "columnName" => "P_NIVEL",
                "operator"   => '=',
                "value"      => 'T'
            )
        ];

        $data = $this->crudService->getFilteredDataSet('daysOfStockGU', $conditions);
		$response->addDataSet(new DataSet("painel", $data));
    }

} 